summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Menno Duursma2010-07-30 12:04:22 +0200
committer Erik Hanson2010-08-01 05:31:51 +0200
commitdd5d615ca9f7f0edc939d34a5bafa0cd70fbbc07 (patch)
tree2e4eb943ea3ee1949ec551db9444b72575a725d8 /network
parent46aed99b456aeea560b9068199af8364b6918dc6 (diff)
downloadslackbuilds-dd5d615ca9f7f0edc939d34a5bafa0cd70fbbc07.tar.gz
network/lsh: Added (GNU implementation of the Secure Shell protocol)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/lsh/README9
-rw-r--r--network/lsh/README.SLACKWARE11
-rw-r--r--network/lsh/doinst.sh26
-rw-r--r--network/lsh/lsh.SlackBuild104
-rw-r--r--network/lsh/lsh.info10
-rw-r--r--network/lsh/slack-desc19
6 files changed, 179 insertions, 0 deletions
diff --git a/network/lsh/README b/network/lsh/README
new file mode 100644
index 0000000000..679ffbf9f6
--- /dev/null
+++ b/network/lsh/README
@@ -0,0 +1,9 @@
+lsh implements the secsh2 protocol
+
+lsh provides secure connections through untrusted networks.
+lsh is based on the specification for ssh2 and should (eventually)
+be compatible. lsh supports the Stanford SRP autentication protocol.
+
+This requires liboop.
+
+See README.SLACKWARE for additional information.
diff --git a/network/lsh/README.SLACKWARE b/network/lsh/README.SLACKWARE
new file mode 100644
index 0000000000..eec0798330
--- /dev/null
+++ b/network/lsh/README.SLACKWARE
@@ -0,0 +1,11 @@
+This script compiles-in libwrap (/etc/hosts.allow) support.
+
+For configuration instructions see: /usr/doc/lsh-<version>/README
+
+To start it at boot; add the following to /etc/rc.d/rc.local
+
+if [ -x /etc/rc.d/rc.lshd ]; then
+ /etc/rc.d/rc.lshd start
+fi
+
+To test try: lsh --sloppy-host-authentication localhost
diff --git a/network/lsh/doinst.sh b/network/lsh/doinst.sh
new file mode 100644
index 0000000000..4e090de3b4
--- /dev/null
+++ b/network/lsh/doinst.sh
@@ -0,0 +1,26 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/rc.d/rc.lshd.new
+
diff --git a/network/lsh/lsh.SlackBuild b/network/lsh/lsh.SlackBuild
new file mode 100644
index 0000000000..986ed6311f
--- /dev/null
+++ b/network/lsh/lsh.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for LSH
+
+# Written by Menno Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+
+PRGNAM=lsh
+VERSION=${VERSION:-2.0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS -lwrap -lnsl" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --disable-gss \
+ --disable-kerberos \
+ --disable-pam \
+ --with-tcpwrappers \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# Add the the init script
+install -D -m755 contrib/lshd.rhlinux.init $PKG/etc/rc.d/rc.lshd.new
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ANNOUNCE AUTHORS COPYING ChangeLog* FAQ INSTALL NEWS README distribution-key.gpg \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cd doc
+ cp -a \
+ HACKING NOTES PORTS TASKLIST TODO configuration.txt gateway-mode.txt srp-spec.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cd ..
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp doc/lsh.html $PKG/usr/doc/$PRGNAM-$VERSION/html
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/lsh/lsh.info b/network/lsh/lsh.info
new file mode 100644
index 0000000000..f19420d3ac
--- /dev/null
+++ b/network/lsh/lsh.info
@@ -0,0 +1,10 @@
+PRGNAM="lsh"
+VERSION="2.0.4"
+HOMEPAGE="http://www.lysator.liu.se/~nisse/lsh/"
+DOWNLOAD="ftp://ftp.lysator.liu.se/pub/security/lsh/lsh-2.0.4.tar.gz"
+MD5SUM="621f4442332bb772b92d397d17ccaf02"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="rworkman"
diff --git a/network/lsh/slack-desc b/network/lsh/slack-desc
new file mode 100644
index 0000000000..a7aedb7066
--- /dev/null
+++ b/network/lsh/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+lsh: LSH (A GNU implementation of the Secure Shell protocols)
+lsh:
+lsh: lsh implements the secsh2 protocol with srp support
+lsh:
+lsh: lsh was written by Niels Möller
+lsh:
+lsh:
+lsh:
+lsh:
+lsh:
+lsh: